- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchWithdraw#try-it)

Batch withdraws `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`.

Only expired, pending, and accepted `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` can be withdrawn. Rejected or withdrawn `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` will be ignored.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchWithdraw`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. Resource names of the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` to withdraw. Format: `networks/{networkCode}/childPublisher/{child_publisher_id}` |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).